#include <iostream>

using namespace std;

int main()
{
   int n,k ;
   cin>>n>>k ;
   int niz[n] ;
   int nniz[n];

   int x[2*n+1];
   for(int i=0; i<2*n+1 ; i++){
      x[i]=0 ;
   }
   for(int i=0; i<n; i++){
      cin>>niz[i];
      if(niz[i]<0){ nniz[i]= -(niz[i]) ; x[n+nniz[i]]++ ;}else{
            nniz[i]= niz[i];
      x[nniz[i]]++;}
   }
      int brojac=0 ;
     for(int i=0; i<2*n+1 ; i++){

     if(x[i]>=k){
      brojac++ ;
     }
   }


   cout<< brojac<<endl ;

    for(int i=0; i<2*n+1 ; i++){
      if(x[i]>=k){if(i>n){cout<<-(i-n);}else{cout<<i<<endl;}
   }}
    return 0;
}